i trying to fillet two lines and have them become one pline when the routine is finished. so far ive found a problem. when the first line selected is a pline the routine errors out. i had it working if it wasnt a pline. now im trying to write a 'if' statement but im not sure how to. if the line is a pline i want it to go straight to the fillet command. if the line is not a pline then i want it to make it one, then do the fillet command. i would appreciate any help or ideas. thanks Jeremy (defun c:ff (/ FLR OBJ1 OBJ2 OBJ1L OBJ2L) (setq FLR(getvar "filletrad")) (setq OBJ1 (entsel " Select Line: ")) (setq OBJ2 (entsel " Select Second Line: ")) ; ; ***List of Selected Lines*** ; (setq OBJ1L (car OBJ1)) (setq OBJ2L (car OBJ2)) (command "fillet" "radius" 0 "") ; Set radius of fillet to 0 ; ; *************************************************************** ; ; If the first line is not a pline, make it one. ; If it is not a pline then continue the command. ; (if (/= "pline" OBJ1) (command "._pedit" "y" "") (command "fillet" OBJ1 OBJ2) ) (if (= "pline" OBJ1) (command "fillet" OBJ1 OBJ2) ) (setvar "filletrad" FLR) )